c
c
c     ###################################################
c     ##  COPYRIGHT (C)  1990  by  Jay William Ponder  ##
c     ###################################################
c
c     ################################################################
c     ##                                                            ##
c     ##  subroutine initial  --  initial values and program setup  ##
c     ##                                                            ##
c     ################################################################
c
c
c     "initial" sets up original values for some parameters
c     and variables that might not otherwise get initialized
c
c
      subroutine initial
      implicit none
      include 'sizes.i'
c     include 'align.i'
      include 'argue.i'
      include 'atoms.i'
c     include 'bath.i'
c     include 'bound.i'
c     include 'cell.i'
      include 'files.i'
      include 'inform.i'
      include 'iounit.i'
c     include 'linmin.i'
c     include 'minima.i'
c     include 'molcul.i'
c     include 'mutant.i'
c     include 'output.i'
      include 'pdb.i'
c     include 'precis.i'
c     include 'scales.i'
      include 'sequen.i'
c     include 'zclose.i'
c     real*8 precise
c
c
c     number of atoms used in superposition
c
c     nfit = 0
c
c     number of atoms in the system
c
      n = 0
c
c     variables for temperature and pressure baths
c
c     isothermal = .false.
c     isobaric = .false.
c
c     variables for periodic boundaries
c
c     use_bounds = .false.
c     use_image = .false.
c     use_replica = .false.
c
c     number of unit cell replicates
c
c     ncell = 0
c
c     number of command line arguments
c
      narg = 0
c
c     highest numbered previous cycle file
c
c     nprior = 0
c
c     information levels within the program
c
      verbose = .false.
      debug = .false.
      abort = .false.
c
c     default input/output unit numbers
c
      input = 5
      iout = 6
c
c     type of coordinates file
c
c     coordtype = 'none'
c
c     number of molecules in the system
c
c     nmol = 0
c
c     number of hybrid (mutant) atoms in the system
c
c     nhybrid = 0
c
c     number of atoms in PDB structure
c
      npdb = 0
c
c     generic parameters used by all optimizations
c
c     fctmin = 0.0d0
c     maxiter = 0
c     nextiter = 0
c     iprint = 0
c     iwrite = 0
c
c     generic parameters used during line search
c
c     cappa = 0.0d0
c     stpmin = 0.0d0
c     stpmax = 0.0d0
c     angmax = 0.0d0
c     intmax = 0
c
c     objective function scale factor during optimization
c
c     scale = 1.0d0
c
c     number of residues in biopolymer sequence
c
      nseq = 0
c
c     number of bonds added or deleted from Z-matrix
c
c     nadd = 0
c     ndel = 0
c
c     display program info and copyright notice
c
      call promo
c
c     get any command line arguments to the program
c
      call command
c
c     determine machine tolerence values
c
c     tiny = precise (1)
c     small = precise (2)
c     huge = precise (3)
      return
      end
