c
c
c     ###################################################
c     ##  COPYRIGHT (C)  1992  by  Jay William Ponder  ##
c     ##              All Rights Reserved              ##
c     ###################################################
c
c     #############################################################
c     ##                                                         ##
c     ##  sizes.i  --  parameter values to set array dimensions  ##
c     ##                                                         ##
c     #############################################################
c
c
c     "sizes.i" sets values for critical array dimensions used
c     throughout the software; these parameters will fix the size
c     of the largest systems that can be handled; values too large
c     for the computer's memory and/or swap space to accomodate
c     will result in poor performance or outright failure
c
c     parameter:      maximum allowed number of:
c
c     maxatm          atoms in the molecular system
c     maxval          atoms directly bonded to an atom
c     maxres          residues in the macromolecule
c     maxamino        amino acid residue types
c     maxbnd          covalent bonds in molecular system
c
c
      integer maxatm,maxval,maxres
      integer maxamino,maxbnd
      parameter (maxatm=10000)
      parameter (maxval=4)
      parameter (maxres=10000)
      parameter (maxamino=24)
      parameter (maxbnd=2*maxatm)
